ICarbideBuildManager (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.ICarbideBuildManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Interface ICarbideBuildManager

    public interface ICarbideBuildManager

This is a singleton class that allows you to get any Carbide.c++ project. You can get this instance by calling `CarbideBuilderPlugin.getBuildManager()`.

See Also:
  `CarbideBuilderPlugin, ICarbideProjectInfo`

Method Summary
`ICarbideProjectModifier` | `createProjectInfo(ICProjectDescription projDes)` Creates a minimal Carbide.c++ project
`ICarbideProjectInfo` | `getProjectInfo(IProject project)` Get the ICarbideProjectInfo for a given IProject.
`ICarbideProjectModifier` | `getProjectModifier(IProject project)` Get the ICarbideProjectModifier for a given IProject.
`boolean` | `isCarbideProject(IProject project)` Test whether or not this has a Carbide.c++ version 1.2 and greater project nature.
`boolean` | `isCarbideSBSv2Project(IProject project)` Test whether or not this has a Carbide.c++ SBSv2 project nature.
`boolean` | `isCoronaProject(IProject project)` Test whether or not this is a Carbide.c++ version 1.1 or less project.
`void` | `setProjectInfo(ICarbideProjectInfo newInfo)` Replace the old ICarbideProjectInfo with the new

Method Detail

### isCarbideProject

    boolean isCarbideProject(IProject project)

  Test whether or not this has a Carbide.c++ version 1.2 and greater project nature.

  Parameters:
    `project` - - An IProject interface.
  Returns:
    true if the Carbide.c++ project nature is for version 1.2 and greater.

### isCoronaProject

    boolean isCoronaProject(IProject project)

  Test whether or not this is a Carbide.c++ version 1.1 or less project.

  Parameters:
    `project` -
  Returns:
    true if the Carbide.c++ version of project is 1.1 or less.

### isCarbideSBSv2Project

    boolean isCarbideSBSv2Project(IProject project)

  Test whether or not this has a Carbide.c++ SBSv2 project nature.

  Parameters:
    `project` - - An IProject interface.
  Returns:
    true if the project has the Carbide.c++ SBSv2 project nature.
  Since:
    2.0

### getProjectInfo

    ICarbideProjectInfo getProjectInfo(IProject project)

  Get the ICarbideProjectInfo for a given IProject. This is the main interface to all the project settings.

  Parameters:
    `project` - - An IProject interface.
  Returns:
    An ICarbideProjectInfo, or null if not found.

### createProjectInfo

    ICarbideProjectModifier createProjectInfo(ICProjectDescription projDes)

  Creates a minimal Carbide.c++ project

  Parameters:
    `projDes` - - An IProjectDescription
  Returns:
    ICarbideProjectInfo interface on success, otherwise null on failure.

### getProjectModifier

    ICarbideProjectModifier getProjectModifier(IProject project)

  Get the ICarbideProjectModifier for a given IProject. This is the main interface to change any project settings.

  Parameters:
    `project` - - An IProject interface.
  Returns:
    An ICarbideProjectModifier, or null if not found.

### setProjectInfo

    void setProjectInfo(ICarbideProjectInfo newInfo)

  Replace the old ICarbideProjectInfo with the new

  Parameters:
    `newInfo` - a copy of the old info with changes applied

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD